Skip to main content
POST
Restart

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Authorization
string
header
required

This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.

Path Parameters

task_id
string
required

The ID of the task to restart.

Body

application/json

The TaskActionsServiceRestartRequest object lets you restart a task.

comment
string | null

The comment attached to the request.

expandMask
Task Expand Mask · object | null

The task expand mask is an array of strings that specifes the related objects the requester wishes to have returned when making a request where the expand mask is part of the input. Use '*' to view all possible responses.

policyStepId
string | null

Deprecated. This field is accepted but does not affect behavior.

Response

200 - application/json

The TaskActionsServiceRestartResponse returns the updated task after restarting.

The TaskActionsServiceRestartResponse returns the updated task after restarting.

expanded
object[] | null

List of serialized related objects.

taskView
Task View · object | null

Contains a task and JSONPATH expressions that describe where in the expanded array related objects are located. This view can be used to display a fully-detailed dashboard of task information.

ticketActionId
string | null

The ID of the task restart action created by this request.